=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
	  -DCMAKE_INSTALL_PREFIX=/usr

override_dh_link:
        # Use the system-wide fonts
	dh_link -- usr/share/fonts/truetype/ttf-liberation/LiberationSans-Regular.ttf usr/share/games/flare/default/mods/default/fonts/LiberationSans-Regular.ttf


# mafm 20111021 -- man page can be regenerated from time to time, no
# need for this override dh_installman and use xsltproc every time
# (and so we save a few build-depends as well, XML is not used for
# anything else)

# override_dh_installman:
# 	xsltproc --nonet \
# 		--param make.year.ranges 1 \
# 		--param make.single.year.ranges 1 \
# 		--param man.charmap.use.subset 0 \
# 		-o debian/ \
# 		http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
# 		debian/flare.1.xml
# 	dh_installman
