=== debian/changelog ===
flare-engine (1.09.01-1) unstable; urgency=medium

  * New upstream release (Closes: #913944)
  * d/copyright, d/watch: Update upstream URLs
  * d/copyright: use https in format URL
  * Bump Policy Standards-Version to 4.3.0 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 29 Jan 2019 00:24:23 +0100

flare-engine (1.07-1) unstable; urgency=medium

  * New upstream release (Closes: #883027)
    - d/patches:
      * remove bf8b090.patch
      * remove refuse-default-game.patch
    - Update build-dependencies to SDL2 from 1.2
    - Use man page from upstream rather than the one in debian/
  * Bump Policy Standards-Version to 4.1.5 (no changes needed)
  * debhelper compatibility level set to v11
  * Update d/watch file
  * d/control:
    - Update Vcs-* fields
    - Update maintainers
    - Replace Recommends on flare-game to ${source:Version} from "binary"
    - Add Break/Replaces "flare-game (<< 1.07)", due to files moving
  * Use the system-wide fonts

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 07 Sep 2018 23:42:07 +0200

flare-engine (0.19-3) unstable; urgency=medium

  * Fix broken symlink to a font, thanks to Andreas Beckmann (Closes: #857395)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 13 Apr 2017 21:59:47 +0200
