=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
	  -DCMAKE_INSTALL_PREFIX=/usr

override_dh_link:
        # remove fonts from upstream
	rm -fv /usr/share/games/flare/mods/default/fonts/{LiberationSans,unifont}-*

        # links fonts to their location in Debian
	dh_link
