=== debian/watch ===
version=4
https://github.com/flareteam/flare-engine/tags .*/v(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
