=== debian/changelog ===
flare-engine (1.12-1) unstable; urgency=medium

  * New upstream version.
  * Depends on fonts-unifont instead of ttf-unifont (Closes: #986852).
  * d/rules: Add hardening=+all to build options (Lintian).
  * d/lintian-overrides: ignore game content that is flagged as doc.
  * d/control: Bump debhelper to v13 and standard-version to 4.6.0.
  * d/upstream/metadata: Populate this file (Lintian).

 -- Martin Quinson <mquinson@debian.org>  Wed, 25 Aug 2021 23:13:29 +0200
