=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.6),
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-ttf-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: http://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-engine.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-engine
@@ -19,7 +19,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          fonts-liberation,
-         ttf-unifont
+         fonts-unifont
 Breaks: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
 Replaces: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
 Recommends: flare-game (>= ${source:Version})
