## flare-engine 1.13.04

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Project (Flare)
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required (VERSION 2.8.12)
 
 Set (PACKAGE "FLARE")
-Set (VERSION "1.12")
+Set (VERSION "1.13.04")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -17,6 +17,10 @@
 	add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
 	add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
 else ()
+	if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+		add_compile_options(-Wno-psabi)
+	endif()
+
 	add_compile_options(
 		-Wall -Wextra -Wunused -Wshadow -Woverloaded-virtual -Wunreachable-code -Wconversion -Wno-sign-conversion -Wformat-security
 		-fno-math-errno -fno-exceptions
@@ -132,6 +136,7 @@
 	./src/EntityManager.cpp
 	./src/EventManager.cpp
 	./src/FileParser.cpp
+	./src/FogOfWar.cpp
 	./src/FontEngine.cpp
 	./src/GameSlotPreview.cpp
 	./src/GameState.cpp
@@ -247,6 +252,7 @@
 	./src/EntityManager.h
 	./src/EventManager.h
 	./src/FileParser.h
+	./src/FogOfWar.h
 	./src/FontEngine.h
 	./src/GameSlotPreview.h
 	./src/GameState.h
@@ -372,6 +378,6 @@
 	"${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
 	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES
-	"${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo.svg"
+	"${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo_icon.svg"
 	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
 	RENAME flare.svg)
