=== debian/changelog ===
flare-engine (1.13.04-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.

  [ Martin Quinson ]
  * New upstream release.
  * d/control: Bump standards-version to 4.6.1 (no change needed).
  * Various lintian cleanups.

 -- Martin Quinson <mquinson@debian.org>  Mon, 11 Jul 2022 10:52:35 +0200
