=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-ttf-dev
-Standards-Version: 4.6.0
-Homepage: http://flarerpg.org/
+Standards-Version: 4.6.1
+Homepage: https://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-engine.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-engine
