## flare-engine 1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required (VERSION 2.8.12)
 
 Set (PACKAGE "FLARE")
-Set (VERSION "1.13.04")
+Set (VERSION "1.14")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -227,6 +227,7 @@
 	./src/WidgetSlot.cpp
 	./src/WidgetTabControl.cpp
 	./src/WidgetTooltip.cpp
+	./src/XPScaling.cpp
 	./src/main.cpp
 )
 
@@ -343,6 +344,7 @@
 	./src/WidgetSlot.h
 	./src/WidgetTabControl.h
 	./src/WidgetTooltip.h
+	./src/XPScaling.h
 )
 
 # Add icon and file info to executable for Windows systems
