=== debian/changelog ===
flare-engine (1.14-4) unstable; urgency=medium

  * d/p/cmake4: new patch to bump the minimal CMake version, so that
    it works with CMake 4 (closes: #1112917).

 -- Martin Quinson <mquinson@debian.org>  Sat, 11 Oct 2025 23:01:29 +0200

flare-engine (1.14-3) unstable; urgency=medium

  * Let's rebuild of the package to make it enter despite my previous errors.
    It seems I messed up the date in my previous version, so the robots keep
    rejecting my package. Same player plays again, as it seems.

 -- Martin Quinson <mquinson@debian.org>  Wed, 19 Jul 2023 10:50:58 +0200

flare-engine (1.14-2) unstable; urgency=medium

  [ Martin Quinson ]
  * Fix link to the system-wide fonts (#1035871).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 2.6).
    + flare-engine: Drop conflict with removed package flare (<< 0.19) in Replaces.
    + flare-engine: Drop conflict with removed package flare-data (<< 0.19) in Replaces.
    + flare-engine: Drop conflict with removed package flare-game (<< 1.07) in Replaces.
    + flare-engine: Drop conflict with removed package flare (<< 0.19) in Breaks.
    + flare-engine: Drop conflict with removed package flare-data (<< 0.19) in Breaks.
    + flare-engine: Drop conflict with removed package flare-game (<< 1.07) in Breaks.

 -- Martin Quinson <mquinson@debian.org>  Tue, 07 Feb 2023 14:34:27 +0100

flare-engine (1.14-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump standards-version to 4.6.2 (no change needed).

 -- Martin Quinson <mquinson@debian.org>  Tue, 07 Feb 2023 14:34:27 +0100
