=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               cmake (>= 2.6),
+               cmake,
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-ttf-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-engine.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-engine
@@ -20,8 +20,6 @@
          ${misc:Depends},
          fonts-liberation,
          fonts-unifont
-Breaks: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
-Replaces: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
 Recommends: flare-game (>= ${source:Version})
 Description: game engine for single-player 2D action role-playing games
  Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
